﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Epic.SCF.QA.Core {
    
    
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "15.9.0.0")]
    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
        
        private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
        
        public static Settings Default {
            get {
                return defaultInstance;
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("shhh-this is a secret!")]
        public string AesEncryptionKey {
            get {
                return ((string)(this["AesEncryptionKey"]));
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"<?xml version=""1.0"" encoding=""utf-16""?>
<ArrayOfString xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
  <string>..\..\..\..\Epic.SCF.SQL\TestData\Batch\XA.PaymentBatch1CustomerAccount.sql</string>
  <string>..\..\..\..\Epic.SCF.SQL\TestData\Batch\XB.PaymentBatch2OrgAccount.sql</string>
  <string>..\..\..\..\Epic.SCF.SQL\TestData\Batch\XC.PaymentBatch3Payment.sql</string>
  <string>..\..\..\..\Epic.SCF.SQL\TestData\Batch\XD.PaymentBatch3PaymentRow.sql</string>
  <string>..\..\..\..\Epic.SCF.SQL\TestData\Batch\XE.PaymentBatch4ABatchJob.sql</string>
</ArrayOfString>")]
        public global::System.Collections.Specialized.StringCollection BatchTestDataFiles {
            get {
                return ((global::System.Collections.Specialized.StringCollection)(this["BatchTestDataFiles"]));
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"<?xml version=""1.0"" encoding=""utf-16""?>
<ArrayOfString xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
  <string>..\..\..\..\Epic.SCF.SQL\Epic.SCF.SQL\Scripts\CodeRow.Inserts.sql</string>
</ArrayOfString>")]
        public global::System.Collections.Specialized.StringCollection MasterDataFileCodeRow {
            get {
                return ((global::System.Collections.Specialized.StringCollection)(this["MasterDataFileCodeRow"]));
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"<?xml version=""1.0"" encoding=""utf-16""?>
<ArrayOfString xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
  <string>..\..\..\..\Epic.SCF.SQL\Epic.SCF.SQL\Scripts\CodeGroup.Inserts.sql</string>
</ArrayOfString>")]
        public global::System.Collections.Specialized.StringCollection MasterDataFileCodeGroup {
            get {
                return ((global::System.Collections.Specialized.StringCollection)(this["MasterDataFileCodeGroup"]));
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("False")]
        public bool TestLogCheckAfterAll {
            get {
                return ((bool)(this["TestLogCheckAfterAll"]));
            }
            set {
                this["TestLogCheckAfterAll"] = value;
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("https://win2016.scf.local:3201")]
        public string WebUrl {
            get {
                return ((string)(this["WebUrl"]));
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("https://win2016.scf.local:3205")]
        public string WebAppUrl {
            get {
                return ((string)(this["WebAppUrl"]));
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("Server=.\\SQLEXPRESS;Database=SCFDBAUTOTST2;Trusted_Connection=True;")]
        public string ConnectionString {
            get {
                return ((string)(this["ConnectionString"]));
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\\\\FILE01\\BatchJobs\\QA Automation BatchJob")]
        public string PathToBatchFiles {
            get {
                return ((string)(this["PathToBatchFiles"]));
            }
            set {
                this["PathToBatchFiles"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("http://app11:3201")]
        public string WebUrlBatch {
            get {
                return ((string)(this["WebUrlBatch"]));
            }
            set {
                this["WebUrlBatch"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\\\\FILE01\\BatchJobs\\QA Automation")]
        public string PathToBatchJobs {
            get {
                return ((string)(this["PathToBatchJobs"]));
            }
            set {
                this["PathToBatchJobs"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("http://app11:3205")]
        public string WebAppUrlBatch {
            get {
                return ((string)(this["WebAppUrlBatch"]));
            }
            set {
                this["WebAppUrlBatch"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("http://app11:3207")]
        public string BatchJobServer {
            get {
                return ((string)(this["BatchJobServer"]));
            }
            set {
                this["BatchJobServer"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("https://win2016.scf.local:3203")]
        public string ExtWebApiUrl {
            get {
                return ((string)(this["ExtWebApiUrl"]));
            }
            set {
                this["ExtWebApiUrl"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("http://win2016.scf.local:3204")]
        public string mockUrl {
            get {
                return ((string)(this["mockUrl"]));
            }
            set {
                this["mockUrl"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("2")]
        public int TestLogLevel {
            get {
                return ((int)(this["TestLogLevel"]));
            }
            set {
                this["TestLogLevel"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("Server=.\\SQLEXPRESS;Database=Caboodle14;Trusted_Connection=True;")]
        public string CaboodleConnectionString {
            get {
                return ((string)(this["CaboodleConnectionString"]));
            }
            set {
                this["CaboodleConnectionString"] = value;
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("Server=SQLAPP;Database=SCFAUTOTSTIM2BATCH;Trusted_Connection=True;")]
        public string BatchConnectionString {
            get {
                return ((string)(this["BatchConnectionString"]));
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("http://localhost:5001")]
        public string ApiUrl {
            get {
                return ((string)(this["ApiUrl"]));
            }
            set {
                this["ApiUrl"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("http://localhost:5000/api/FHIR/oauth2/token")]
        public string OAuth2TokenServiceUrl {
            get {
                return ((string)(this["OAuth2TokenServiceUrl"]));
            }
            set {
                this["OAuth2TokenServiceUrl"] = value;
            }
        }
        
        [global::System.Configuration.ApplicationScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("Server=.\\SQLEXPRESS;Database=SCFLOGDB;Trusted_Connection=True;")]
        public string LogsConnectionString {
            get {
                return ((string)(this["LogsConnectionString"]));
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("True")]
        public bool IsOAuth2Enable {
            get {
                return ((bool)(this["IsOAuth2Enable"]));
            }
            set {
                this["IsOAuth2Enable"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("2")]
        public int RestoreLogLevelTo {
            get {
                return ((int)(this["RestoreLogLevelTo"]));
            }
            set {
                this["RestoreLogLevelTo"] = value;
            }
        }
    }
}
